TechDraw: Tratteggio geometrico

From FreeCAD Documentation
Revision as of 20:02, 21 April 2020 by Renatorivo (talk | contribs) (Created page with "# Selezionare una regione chiusa in una vista. La regione diventa verde. # Premere il pulsante {{Button|16px TechDraw_GeometricHatch/i...")
Other languages:

Tratteggio geometrico

Posizione nel menu
TechDraw → Tratteggio geometrico
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Tratteggio da modello, Tipi di tratteggio

Descrizione

Lo strumento Tratteggio geometrico riempie una regione chiusa in una vista con un modello basato su una specifica di tratteggio PAT AutoDesk. In alternativa, lo strumento Tratteggio da modello utilizza un file SVG o bitmap come modello di tratteggio, vedere i tipi di tratteggio per i dettagli.

Esempio di tratteggio geometrico su una faccia

Utilizzo

  1. Selezionare una regione chiusa in una vista. La regione diventa verde.
  2. Premere il pulsante Tratteggio geometrico
  3. si apre una finestra di dialogo in cui è possibile selezionare il motivo, una scala per il motivo e uno spessore di linea.
  4. Potrebbe essere necessario premere Aggiorna e/o Ridisegna la pagina per ottenere l'aggiornamento del tratteggio.

Notes

A small set of sample patterns are available in:

$INSTALL_DIR/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/Mod/TechDraw/PAT/FCPAT.pat

Properties

  • DatiSource: The View and Face to receive the hatch pattern.
  • DatiFile Pattern: The location of the PAT file to use.
  • DatiName Pattern: The name of the PAT specification within File Pattern.
  • DatiScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • VistaWeight Pattern: The thickness of the pattern lines.
  • VistaColor Pattern: The color for the pattern lines.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)